package ru.yandex.autotests.direct.web.objects.retargeting;

import ru.yandex.autotests.direct.web.data.retargeting.RetargetingConditionItemWeb;

public class RetargetingConditionWeb {
    private Long bannerId;
    private Long adGroupId;
    private String contextPrice;
    private String autoBudgetPriority;
    private Boolean isActive;
    private RetargetingConditionItemWeb[] retargetingConditionItemsWeb;
    private String retargetingConditionName;
    private String retargetingConditionDescription;
    private Long retargetingConditionId;

    public Boolean getIsActive() {
        return isActive;
    }

    public void setIsActive(Boolean isActive) {
        this.isActive = isActive;
    }

    public String getAutoBudgetPriority() {
        return autoBudgetPriority;
    }

    public void setAutoBudgetPriority(String autoBudgetPriority) {
        this.autoBudgetPriority = autoBudgetPriority;
    }

    public String getContextPrice() {
        return contextPrice;
    }

    public void setContextPrice(String contextPrice) {
        this.contextPrice = contextPrice;
    }

    public Long getBannerId() {
        return bannerId;
    }

    public void setBannerId(Long bannerId) {
        this.bannerId = bannerId;
    }

    public Long getAdGroupId() {
        return adGroupId;
    }

    public void setAdGroupId(Long adGroupId) {
        this.adGroupId = adGroupId;
    }

    public RetargetingConditionItemWeb[] getRetargetingConditionItemsWeb() {
        return retargetingConditionItemsWeb;
    }

    public void setRetargetingConditionItemsWeb(RetargetingConditionItemWeb[] retargetingConditionWeb) {
        this.retargetingConditionItemsWeb = retargetingConditionWeb;
    }

    public String getRetargetingConditionName() {
        return this.retargetingConditionName;
    }

    public void setRetargetingConditionName(String retargetingConditionName) {
        this.retargetingConditionName = retargetingConditionName;
    }

    public String getRetargetingConditionDescription() {
        return this.retargetingConditionDescription;
    }

    public void setRetargetingConditionDescription(String retargetingConditionDescription) {
        this.retargetingConditionDescription = retargetingConditionDescription;
    }

    public Long getRetargetingConditionId() {
        return this.retargetingConditionId;
    }

    public void setRetargetingConditionId(Long retargetingConditionId) {
        this.retargetingConditionId = retargetingConditionId;
    }

    public RetargetingConditionWeb withBannerId(Long bannerId) {
        this.bannerId = bannerId;
        return this;
    }

    public RetargetingConditionWeb withAdGroupId(Long adGroupId) {
        this.adGroupId = adGroupId;
        return this;
    }

    public RetargetingConditionWeb withContextPrice(String contextPrice) {
        this.contextPrice = contextPrice;
        return this;
    }

    public RetargetingConditionWeb withAutoBudgetPriority(String autoBudgetPriority) {
        this.autoBudgetPriority = autoBudgetPriority;
        return this;
    }

    public RetargetingConditionWeb withRetargetingConditionName(String name) {
        this.retargetingConditionName = name;
        return this;
    }

    public RetargetingConditionWeb withRetargetingConditionDescription(String description) {
        this.retargetingConditionDescription = description;
        return this;
    }

    public RetargetingConditionWeb withRetargetingConditionId(Long conditionId) {
        this.retargetingConditionId = conditionId;
        return this;
    }

    public RetargetingConditionWeb withRetargetingConditionItemsWeb(RetargetingConditionItemWeb[] items) {
        this.retargetingConditionItemsWeb = items;
        return this;
    }

    public RetargetingConditionWeb withIsActive(Boolean isActive) {
        this.isActive = isActive;
        return this;
    }
}
